This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 973304 - javapackages-tools: fail build if there is a subpackage with pom file but no depmap
javapackages-tools: fail build if there is a subpackage with pom file but no ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: javapackages-tools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 12:10 EDT by Stanislav Ochotnicky
Modified: 2014-12-15 08:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 16:16:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-06-11 12:10:32 EDT
javapackages-tools should fail build if there is a subpackage with pom file but no depmap. This would catch problems with wrong depmap file placement early on for most common cases.
Comment 1 Fedora Admin XMLRPC Client 2014-04-24 08:47:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Mikolaj Izdebski 2014-12-14 16:16:51 EST
IMO it's not important to implement this feature any longer. Nowdays installation of POMs and metadata is handled by .mfiles and therefore it is much less likely to have them installed incorrectly.

Note You need to log in before you can comment on or make changes to this bug.